---
id: SalleDuTrone
type: Location
contains:
  - trone-000
  - sonette-000
  - poussin-salleDuTrone
events:
  info:
    actor: "Salle du Trone "
  look:
    actor: |
      Vous voilà à présent dans la salle du trone. Un trône en or se situe au milieu de cette salle gigantesque qui pourait être si calme sans
      ce poussin qui pioupioute et agitte des ailes. Il est négligé avec ses plumes mal coiffés...
      Au nord se trouve le refectoire (lieu ou vous pouvez peut-être manger). A l'ouest se situe la nurserie, à l'est
      la salle d'eau. Et au sud devant la porte du château.

---

id: trone-000
type: Thing
name: trone
events:
  info:
    actor: "Un trone en or. "
  look:
    actor: |
      C'est un trone en or bien brillant. On peut appercevoir sur la poignée une sonette.

---
id: sonette-000
type: Thing
name: sonette
props:
  - takable
events:
  info:
    actor: "Une sonnette. "
  look:
    actor: |
      C'est une sonnette, ou est gravé : " Cette sonnette appartient au roi poussin et seulement au roi. Attention au roi"
      Je serais vous je ne l'attraperais pas.
  take:
    effects:
      - type: DeathEffect


---

id: portal-refectoire-SalleDuTrone
type: Portal
exits:
  - id: refectoire-sud
    location: refectoire
    direction: sud
  - id: SalleDuTrone-nord
    location: SalleDuTrone
    direction: nord

---

id: ToiletteDuRoyaume
type: Location
contains:
  - poussin-toilette
events:
  info:
    actor: "Toilette du royaume. "
  look:
    actor: |
      Vous avez enfin réussis à accédé à la case principale et finale : les toilette. En face de vous,
      sur le trone courroné du fameu produit PoussinWC ce trouve le roi poussin qui vous regarde de haut. Au sud
      se trouve le couloir.


---

id: ChambreMysterieuse
type: Location
props:
  - dark
events:
  info:
    actor: "Chambre mysterieuse . "
  look:
    actor: |
      Vous voilà dans la chambre mysterieuse! Pas si mystèrieuse que ça en fait, une chambre banal avec plein de
      cadre de poussins. Seul des cris de poussin sont audible provenant de la salle au sud. Au nord, se trouve le couloir.

---

id: CimetiereDesPoussins
type: Location
contains:
  - poussin-cimetiere
events:
  info:
    actor: "Cimetiere des Poussins . "
  look:
    actor: |
      Vous voila dans le Cimetiere des poussins... Un lieu très froid et flippant... De plus en face de vous,un poussin
      zombie surgit. A l'est, vous pouvez apercevoir un escalier qui mène au sous-sol. A l'ouest vous pouvez allez au jardin.

---

id: GardeManger
type: Location
contains:
  - coteAgneau
events:
  info:
    actor: "Garde manger des Poussin . "
  look:
    actor: |
      Vous voila au garde manger ou seuls la viande et fruits garnissent les placard, aucun légumes n'est présent.
      A l'est se trouve le refectoire.

---
id: SalleDeTorture
type: Location
contains:
  - poussin-salleTorture
  - clef-Toilette
events:
  info:
    actor: "Salle de torture. "
  look:
    actor: |
      Vous vous trouvez dans la salle de torture. Au nord, vous pouvez allez dans la chambre mysterieuse.
      Vous pouvez voir des poussins attaché à des coussins de plumes forcé de voir en boucle dans des petits
      écrans des cuisses de poulet et plein de bonne nourriture excépté des légumes.En face de vous un poussin
      change les cassettes tout en vous fixant avec interet.

---
id: poussin-salleTorture
type: Thing
name:
  - poussin
  - poussin intelligeant
events:
  info:
    actor: "Un poussin à l'air intelligeant."
  look:
    actor: |
      " Je suis Dr.Poussino, je suis ici pour essayer de soigner les poussins fous. Ils ont des microbes étranges qui
      neutralisent leur systeme nerveux, leur cortex frontal est endommagé par des lymphocytes voraces....  " Ce poussin
      parle un peu trop, je vous conseille de ne plus l'écouter. Mais on peut dire que c'est bien les légumes qui rendent
      ses poussins tout fous.
---

id: poussin-salleDuTrone
type: Thing
name:
  - poussin
  - poussin fou
events:
  info:
    actor: "Un poussin au plume mal coiffée."
  look:
    actor: |
      Ce poussin parrait un peu foufou, si vous avez lut le papyrus de l'entré, c'est surement pour ça que le roi vous as demander.
      Le poussin mal coiffé s'approche et vous donne un coup de pied avant de crier " CE QUI EST AU SOUS SOL DU JARDIN ET MERVEILLEUX!".
      Ignorez le est continué votre enquête.

---

id: clef-Toilette
type: Thing
gender: fem
props:
  - takable
  - clef-super-méga-mystérieuse
name:
  - baton
  - clef
events:
  info:
    actor: "Un baton super méga mystérieuse"
  look:
    actor: |
      C'est un baton? Non c'est plus que ça, c'est un baton super méga mystérieuse!

---


id: portal-AlleExterieur-CourDuChateau
type: Portal
exits:
  - id: AlleeExterieureSud
    location: courDuChateau
  - id: courDuChateauNord
    location: AlleeExterieureChateau
    direction: nord

---

id: papyrus-000
type: Thing
name: papyrus
props:
  - takable
events:
  info:
    actor: "Un vieux papyrus."
  look:
    actor: |
      C'est un vieux papyrus ou est noté : "Bienvenue au Royaume des poussins. Vous avez été nommé detective
      afin de découvrir la raison de la folie des poussins"

---
id: coteAgneau
type: Thing
name: cote d'agneau
props:
  - takable
events:
  info:
    actor: "Une cote d'agneau."
  look:
    actor: |
      C'est une cote d'agneau bien fraiche. Vous allez arreter de baver?

---

id: Portal-courDuChateau-devantPorteEntree
type: Portal
exits:
  - id: courDuChateauNord2
    location: courDuChateau
    direction: nord
  - id: devantPorteSud
    location: devantPorteEntree
    direction: sud

---

id: Portal-refectoire-gardeAManger
type: Portal
exits:
  - id: GardeMangerEst
    location: GardeManger
    direction: est
  - id: refectoireOuest
    location: refectoire
    direction: ouest

---

id: Portal-sousSol-cimetiere
type: Portal
exits:
  - id: cimetiereEst
    location: CimetiereDesPoussins
    direction: est
  - id: sousSolOuest
    location: sousSol
    direction: ouest


---

id: Portal-salleDuTrone-Nurserie
type: Portal
exits:
  - id: SalleDuTroneEst
    location: SalleDuTrone
    direction: ouest
  - id: NurserieOuest
    location: nurserie
    direction: est

---
id: portal-toilette-couloir
type: Portal
props:
  - closed
  - closable
exits:
  - id: CouloirNord
    location: couloir
    direction: nord
    name:
      - porte
    gender: fem
    props:
      - for-enter
    events:
      enter-portal:
        actor     : "Vous entrer dans la salle mystérieuse."
        observer  : "{{ actor.name }} entre dans la salle mysterieuse."
        failed:
          actor   : &porteToilette-1 |
            La porte menant à la salle mysterieuse est férmée. On ne peut l'ouvrir qu'avec une clef
            tout aussi mystèrieuse
          observer: &porteToilette-2 |
            {{ actor.name }} tente en vain d'ouvrir la porte de la salle mystérieuse.
      leave-portal:
        actor     : "Vous sortez de la salle mystérieuse."
        observer  : "{{ actor.name }} sort de la salle mystérieuse."
      open        :
        - props   : portal:closed
          actor   : *porteToilette-1
          observer: *porteToilette-2
        - props   : -portal:closed
          actor   : &porteToilette-3 "La porte est ouverte, vous avez vraiment pas de force. "
      open-with   :
        - props   :
            - portal:closed
            - object2:clef-super-méga-mystérieuse
          effects :
            type  : ChangePropEffect
            modifs:
              - -portal:closed
          actor   : |
            La porte de la salle mystérieuse s'ouvre, une douce lumière y jaillit.
          observer: |
            {{ actor.name }} ouvre la porte du département info
            avec un une clef.
        - props   :
            - portal:closed
            - -object2:clef-super-méga-mystérieuse
          actor   : |
            Vous tentez vainement d'ouvrir la porte avec
            {{ object2.noun_the() }}.
          observer: |
            {{ actor.name }} tente d'ouvrir la porte de la salle mystèrieuse
            avec {{ object2.noun_a() }}.
        - props   :
            - -portal:closed
          actor   : *porteToilette-3
          observer: |
            {{ actor.name }} tente d'ouvrir la porte de la salle mystérieuse
            avec {{ object2.noun_a() }}. Vous devriez lui dire qu'elle est déja ouverte.
      close       : &porteToilette-4
        - props   : portal:closed
          actor   : "Vous fermez la porte de la salle mysterieuse."
          observer: "{{ actor.name }} ferme le porte de la salle mysterieuse."
          effects :
            - type  : ChangePropEffect
              modifs: =portal-toilette-couloir:closed
      close-with  : *porteToilette-4
  - id: ToiletteSud
    location: ToiletteDuRoyaume
    direction: sud
    name: porte
    gender: fem
    props:
      - for-leave
    events:
      enter-portal:
        observer  : "{{ actor.name }} sort de la salle mystérieuse."
        failed:
          actor   : |
            La porte menant au couloir est férmée. On ne peut l'ouvrir qu'avec une clef
            mystèrieuse.
          observer: |
            {{ actor.name }} tente de sortir de la salle mystérieuse.
---

id: portal-jardin-cimetiere
type: Portal
props:
  - closed
  - closable
exits:
  - id: jardinEst
    location: jardin
    direction: est
    name:
      - grillage
    gender: fem
    props:
      - for-enter
    events:
      enter-portal:
        actor     : "Vous entrez dans le cimetiere des poussin... BOUUUH...."
        observer  : "{{ actor.name }} entre dans le cimetière des poussin."
        failed:
          actor   : &porteCimetiere-1 |
            Le grillage menant au cimetière est fermé il faut une clé qui fasse aussi peur que ce grillage
            pour pouvoir l'ouvrir
          observer: &porteCimetiere-2 |
            {{ actor.name }} essaye d'ouvrir le grillage menant au cimetière.
      leave-portal:
        actor     : "Vous sortez du cimetière des poussins."
        observer  : "{{ actor.name }} sort de la salle mystérieuse."
      open        :
        - props   : portal:closed
          actor   : *porteCimetiere-1
          observer: *porteCimetiere-2
        - props   : -portal:closed
          actor   : &porteCimetiere-3 "Le grillage est ouvert, dites plutot que vous avez peur de vous aventurer dans ce cimetière. "
      open-with   :
        - props   :
            - portal:closed
            - object2:clef-cimetiere
          effects :
            type  : ChangePropEffect
            modifs:
              - -portal:closed
          actor   : |
            Le grillage du cimetière des poussins s'ouvre laissant place à un vent glacial.
          observer: |
            {{ actor.name }} ouvre le grillage du cimetiere
            avec une clef flippante...
        - props   :
            - portal:closed
            - -object2:clef-cimetiere
          actor   : |
            Vous tentez d'ouvrir le grillage avec
            {{ object2.noun_the() }}.
          observer: |
            {{ actor.name }} tente d'ouvrir le grillage
            avec {{ object2.noun_a() }}.
        - props   :
            - -portal:closed
          actor   : *porteCimetiere-3
          observer: |
            {{ actor.name }} tente d'ouvrir le grillage du cimetière
            avec {{ object2.noun_a() }}. Vous devriez lui dire qu'il est déja ouverte.
      close       : &porteCimetiere-4
        - props   : portal:closed
          actor   : "Vous fermez le grillage du cimetière."
          observer: "{{ actor.name }} ferme le grillage du cimetière."
          effects :
            - type  : ChangePropEffect
              modifs: =portal-jardin-cimetiere:closed
      close-with  : *porteCimetiere-4
  - id: CimetiereOuest
    location: CimetiereDesPoussins
    direction: ouest
    name: porte
    gender: fem
    props:
      - for-leave
    events:
      enter-portal:
        observer  : "{{ actor.name }} sort du cimetière."
        failed:
          actor   : |
            Le grillage menant au jardin est fermé, il vous faut une clés aussi flippante que le lieu ou vous êtes.
          observer: |
            {{ actor.name }} tente de sortir du cimetière.

---
id: Portal-ChambreRoyal-couloir
type: Portal
exits:
  - id: CouloirOuest
    location: couloir
    direction: ouest
  - id: chambreRoyaleEst
    location: chambreRoyale
    direction: est

---
id: Portal-ChambreMysterieuse-couloir
type: Portal
exits:
  - id: CouloirSud
    location: couloir
    direction: sud
  - id: ChambreMysterieuseNord
    location: ChambreMysterieuse
    direction: nord
---

id: Portal-ChambreMysterieuse-salleDeTorture
type: Portal
exits:
  - id: ChambreMysterieuseSud
    location: ChambreMysterieuse
    direction: sud
  - id: SalleDeTortureNord
    location: SalleDeTorture
    direction: nord


---

id: DevantPoussin
type: Location
parts:
 - bouton-DevantPoussin
events:
 info:
    actor: "Devant poussin."
 look:
    actor: |
     Vous êtes dans le coin du refectoire.  Il y a un bouton pour
     appeler un poussin qui peut vous emmener à l'étage.  Au sud-ouest, le poussin est
     {% if the("poussin").has_prop("upstairs") %}
      pas là.
     {% else %}
      présent, un énorme poussin aux ailes surdimentionné qui vous regarde avec un air sadique.
     {% end %}
     A l'ouest, se trouve la partie principale du refectoire.
 fermeture-ascenseur:
    observer: |
     Le poussin prend son envol
 ouverture-ascenseur:
    observer: |
     Le poussin attéris.

---

id: portal-Poussin-000
type: Portal
exits:
  - id: exit1-refectoire
    location: refectoire
    direction: est
  - id: exit2-DevantPoussin
    location: DevantPoussin
    direction: ouest

---
id: bouton-couloir
type: Thing
name: bouton
props:
  - pushable
events:
  info:
    actor: "Un bouton pour appeler le poussin."
  look:
    actor: "C'est un bouton pour appeler le poussin."
  push:
    - props: -=poussin:upstairs
      observer: |
        {{ actor.name }} appuie sur le bouton pour appeller le poussin
      effects:
        - type  : NarrativeEffect
          at    : =DevantPoussin
          key   : fermeture-ascenseur
        - type  : NarrativeEffect
          at    : =poussin
          key   : fermeture-ascenseur
        - type  : ChangePropEffect
          modifs: =exit-poussin:closed
        - type  : NarrativeEffect
          at    : =poussin
          key   : ascension-ascenseur
        - type  : ChangePropEffect
          modifs: =ascenseur-cage-000:upstairs
        - type  : NarrativeEffect
          at    : =couloir
          key   : ouverture-ascenseur
        - type  : NarrativeEffect
          at    : =poussin
          key   : ouverture-ascenseur
        - type  : ChangePropEffect
          modifs: -=exit-couloir:closed
    - actor: "Le poussin est déjà là."
      observer: |
        {{ actor.name }} appuie sur le bouton pour appeller le poussin alors qu'il est en face de lui.
        Pensez à lui acheter des lunettes

---

id: bouton-poussin
type: Thing
name: bouton
props:
  - pushable
events:
  info:
    actor: "Un bouton pour changer d'étage."
  look:
    actor: |
      C'est un bouton pour commander au poussin de changer d'étage.
  push:
    - props: =poussin:upstairs
      effects:
        - type  : NarrativeEffect
          at    : =couloir
          key   : fermeture-ascenseur
        - type  : NarrativeEffect
          at    : =poussin
          key   : fermeture-ascenseur
        - type  : ChangePropEffect
          modifs: =exit-couloir:closed
        - type  : NarrativeEffect
          at    : =poussin
          key   : descente-ascenseur
        - type  : ChangePropEffect
          modifs: -=poussin:upstairs
        - type  : NarrativeEffect
          at    : =DevantPoussin
          key   : ouverture-ascenseur
        - type  : NarrativeEffect
          at    : =poussin
          key   : ouverture-ascenseur
        - type  : ChangePropEffect
          modifs: -=exit-DevantPoussin:closed
    - effects:
        - type  : NarrativeEffect
          at    : =DevantPoussin
          key   : fermeture-ascenseur
        - type  : NarrativeEffect
          at    : =poussin
          key   : fermeture-ascenseur
        - type  : ChangePropEffect
          modifs: =exit-DevantPoussin:closed
        - type  : NarrativeEffect
          at    : =poussin
          key   : ascension-ascenseur
        - type  : ChangePropEffect
          modifs: =poussin:upstairs
        - type  : NarrativeEffect
          at    : =couloir
          key   : ouverture-ascenseur
        - type  : NarrativeEffect
          at    : =poussin
          key   : ouverture-ascenseur
        - type  : ChangePropEffect
          modifs: -=exit-couloir:closed

---

id: lampe-Poussin
type: Thing
props:
  - lightable
  - takable
names   :
  - lampe poussin
  - lampe
  - torche
  - lampe-torche
gender: fem
events:
  info:
    actor:
      - props: =lampe-Poussin:light-on
        data : "Une lampe poussin."
      - data : "Une lampe poussin."
  look:
    actor:
      - props: object:light-on
        data : "Le bec du poussin lampe en plastique est ouverte se qui produit une lumière jaune poussin."
      - data : "Le bec du poussin lampe en plastique est fermé. La lampe est éteinte."
  light-on:
    - props : object:light-on
      actor : "La lampe est allumé... Vous n'y voyez encore rien?"
    - actor : "Vous allumez la lampe torche, le bec du poussin en plastique présent s'ouvre doucement pour laisser
        place à une douce lumière jaune."
      observer: |
        {{ actor.name }} allume sa lampe poussin.
      effects:
        - type  : ChangePropEffect
          modifs: object:light-on
  light-off:
    - props : -object:light-on
      actor : "La lampe poussin est déjà éteinte... "
    - actor : "Vous éteignez votre lampe, le bec du poussin en plastique présent sur la lampe se ferme en laissant disparaitre
       la lumière."
      observer: |
        {{ actor.name }} éteind sa lampe poussin.
      effects:
        - type  : ChangePropEffect
          modifs: -object:light-on
